Debian Bug report logs - #714814
liballeggl4-dev: fails to upgrade from 'testing' - trying to overwrite /usr/lib/x86_64-linux-gnu/pkgconfig/allegrogl.pc

version graph

Package: liballeggl4-dev; Maintainer for liballeggl4-dev is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for liballeggl4-dev is src:allegro4.4.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Wed, 3 Jul 2013 03:03:02 UTC

Severity: serious

Found in version allegro4.4/2:4.4.2-3

Fixed in version allegro4.4/2:4.4.2-4

Done: Tobias Hansen <thansen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#714814; Package liballeggl4-dev. (Wed, 03 Jul 2013 03:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 03 Jul 2013 03:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liballeggl4-dev: fails to upgrade from 'testing' - trying to overwrite /usr/lib/x86_64-linux-gnu/pkgconfig/allegrogl.pc
Date: Wed, 03 Jul 2013 04:59:25 +0200
[Message part 1 (text/plain, inline)]
Package: liballeggl4-dev
Version: 2:4.4.2-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'testing'.
It installed fine in 'testing', then the upgrade to 'sid' fails
because it tries to overwrite other packages files without declaring a
Breaks+Replaces relation.

See policy 7.6 at
http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

>From the attached log (scroll to the bottom...):

  Preparing to replace liballeggl4-dev 2:4.4.2-2.1 (using .../liballeggl4-dev_2%3a4.4.2-3_amd64.deb) ...
  Unpacking replacement liballeggl4-dev ...
  dpkg: error processing /var/cache/apt/archives/liballeggl4-dev_2%3a4.4.2-3_amd64.deb (--unpack):
   trying to overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/allegrogl.pc', which is also in package liballegro4.2-dev 2:4.4.2-2.1
  dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
  Preparing to replace liballeggl4.4:amd64 2:4.4.2-2.1 (using .../liballeggl4.4_2%3a4.4.2-3_amd64.deb) ...
  Unpacking replacement liballeggl4.4:amd64 ...
  Errors were encountered while processing:
   /var/cache/apt/archives/liballeggl4-dev_2%3a4.4.2-3_amd64.deb


cheers,

Andreas
[liballeggl4-dev_2:4.4.2-3.log.gz (application/x-gzip, attachment)]

Reply sent to Tobias Hansen <thansen@debian.org>:
You have taken responsibility. (Thu, 18 Jul 2013 22:51:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Thu, 18 Jul 2013 22:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 714814-close@bugs.debian.org (full text, mbox):

From: Tobias Hansen <thansen@debian.org>
To: 714814-close@bugs.debian.org
Subject: Bug#714814: fixed in allegro4.4 2:4.4.2-4
Date: Thu, 18 Jul 2013 22:48:08 +0000
Source: allegro4.4
Source-Version: 2:4.4.2-4

We believe that the bug you reported is fixed in the latest version of
allegro4.4, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714814@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tobias Hansen <thansen@debian.org> (supplier of updated allegro4.4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 14 Jul 2013 11:34:32 +0200
Source: allegro4.4
Binary: liballegro4.4 liballegro4-dev liballegro4.4-plugin-alsa allegro4-doc liballegro-doc liballeggl4.4 liballeggl4-dev libjpgalleg4.4 libjpgalleg4-dev libloadpng4.4 libloadpng4-dev liblogg4.4 liblogg4-dev
Architecture: source amd64 all
Version: 2:4.4.2-4
Distribution: sid
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Tobias Hansen <thansen@debian.org>
Description: 
 allegro4-doc - documentation for the Allegro library
 liballeggl4-dev - development files for the allegrogl library
 liballeggl4.4 - library to mix OpenGL graphics with Allegro routines
 liballegro-doc - transitional dummy package
 liballegro4-dev - development files for the Allegro library
 liballegro4.4 - portable library for cross-platform game and multimedia developme
 liballegro4.4-plugin-alsa - ALSA audio plugin for the Allegro library
 libjpgalleg4-dev - development files for the JPG loading addon for Allegro 4
 libjpgalleg4.4 - JPG loading addon for Allegro 4
 libloadpng4-dev - development files for the PNG loading addon for Allegro 4
 libloadpng4.4 - PNG loading addon for Allegro 4
 liblogg4-dev - development files for the OGG loading addon for Allegro 4
 liblogg4.4 - OGG loading addon for Allegro 4
Closes: 714814
Changes: 
 allegro4.4 (2:4.4.2-4) unstable; urgency=low
 .
   [ Andreas Rönnquist ]
   * Add replaces / breaks on liballegro4.2-dev (Closes: #714814)
   * Fix lintian vcs-field-not-canonical warning
   * Fix unused-override hardening-no-fortify-functions
Checksums-Sha1: 
 4afe9a5eb88fc8b0d8525691ec6d96f66bcdac63 2880 allegro4.4_4.4.2-4.dsc
 e511085ac10e0ab2e7cc534002ba59cf27db857f 29822 allegro4.4_4.4.2-4.debian.tar.gz
 1146b7440d09c663f0d587cece28168ef646f1e1 512056 liballegro4.4_4.4.2-4_amd64.deb
 ed3eb885a9c56000129afb45f85b2c1e49a9dbad 401094 liballegro4-dev_4.4.2-4_amd64.deb
 da7105ec120c58ffd59b7bfb917072c219f51967 90668 liballegro4.4-plugin-alsa_4.4.2-4_amd64.deb
 2f37f4686422a60402fc9379d3534f6b2b6c7d62 1808392 allegro4-doc_4.4.2-4_all.deb
 8170f38ca8ca7ccd422a25337448445116d98d9a 81066 liballegro-doc_4.4.2-4_all.deb
 95774f358f71c48cf31901d3e3fbf2f009ed271e 225434 liballeggl4.4_4.4.2-4_amd64.deb
 a61ad8b74c4b54206fb3a1788902b36185a5c873 159102 liballeggl4-dev_4.4.2-4_amd64.deb
 ab5a5b42d3e3b3d977b73c3a7fbce4d9bede534b 109160 libjpgalleg4.4_4.4.2-4_amd64.deb
 d58494908cdcf6ccfe10d5a43b237f21e33ac0ec 82908 libjpgalleg4-dev_4.4.2-4_amd64.deb
 d1e756935711986a8768f04a53c49503941d3c11 88996 libloadpng4.4_4.4.2-4_amd64.deb
 00a85710e0d803fb65ae13a7bfb813334ea6c285 82920 libloadpng4-dev_4.4.2-4_amd64.deb
 cf3ee4691f21c7a58ec54d33fcc0a9f4065a4db3 86412 liblogg4.4_4.4.2-4_amd64.deb
 269eece9ddfb98ce21efa529288bc7bc264dc97c 82336 liblogg4-dev_4.4.2-4_amd64.deb
Checksums-Sha256: 
 8b46b080e20543a982c57e50914911a2c802bff603a11754ab4feba34bb03fbd 2880 allegro4.4_4.4.2-4.dsc
 591bd253c71caf63c9fdd4ec395a95bb58f38fc138caac80ff6d0e12b9a8c84f 29822 allegro4.4_4.4.2-4.debian.tar.gz
 7197a2af8dfaa661fa1c721d17c68cad1f00f51f63b95abb5c8d3ac2258b19ad 512056 liballegro4.4_4.4.2-4_amd64.deb
 9682b2d030bfe3a68676cb410fb4f7469de1fbd686219d3df27bc01857e3d7ea 401094 liballegro4-dev_4.4.2-4_amd64.deb
 0ab2a4dc5217ee283fe24ff77799f52175c609693447538f62692cf567fdc49c 90668 liballegro4.4-plugin-alsa_4.4.2-4_amd64.deb
 9de71d3d181cf862d1de6ffcecc4aa287b132bb6fe42f86d50b948983353fae5 1808392 allegro4-doc_4.4.2-4_all.deb
 fd176f3589133661af3ee8318b61681261a1d589fe6b8b35681ce2fa7e6ed49c 81066 liballegro-doc_4.4.2-4_all.deb
 3fc397a5ffbd5bbe007da543fa6e42685b187625f1184dfe92821ed95960687a 225434 liballeggl4.4_4.4.2-4_amd64.deb
 c9ecffcd1a2a445a61b03fdc4faadb2afd23800d6be1c6b6287f4da105646144 159102 liballeggl4-dev_4.4.2-4_amd64.deb
 06686cc72241710e32c96a2c4bbba37784cc364b7feeb53ed329798f372854ef 109160 libjpgalleg4.4_4.4.2-4_amd64.deb
 1434cc3304954ee0efc7bd127290061f4be758656440c61497aed83bdeb2126f 82908 libjpgalleg4-dev_4.4.2-4_amd64.deb
 b17df8d1a29e317fe8f06307e939f74c05229f0a8ce97917482a23346f568113 88996 libloadpng4.4_4.4.2-4_amd64.deb
 cf3d66edefcc6ebc2235c48c47f417659f26af17a0de5b19402baf7794a0ae82 82920 libloadpng4-dev_4.4.2-4_amd64.deb
 33d9f3e642b943364dcff2c782069d25f9b049c6d6bab6e27fce0ed37cfb8769 86412 liblogg4.4_4.4.2-4_amd64.deb
 6b26113184557fd084694a3f9ee3760fd0c5fceba610dd396cb0e999983bd752 82336 liblogg4-dev_4.4.2-4_amd64.deb
Files: 
 974c48869f9cdb83ecb71840a3cc7aad 2880 devel optional allegro4.4_4.4.2-4.dsc
 13e2df1363efd8b73dd45a6da1464522 29822 devel optional allegro4.4_4.4.2-4.debian.tar.gz
 b70e7e680fd615f77773adc8c13b4ba2 512056 libs optional liballegro4.4_4.4.2-4_amd64.deb
 cd708a50d2ffc6000d0cc9b6a79c898a 401094 libdevel extra liballegro4-dev_4.4.2-4_amd64.deb
 c8bb8559c93782140cb8b92b139623c7 90668 libs optional liballegro4.4-plugin-alsa_4.4.2-4_amd64.deb
 ad15d9db90960f89f71a890c819d5aac 1808392 doc optional allegro4-doc_4.4.2-4_all.deb
 56d3e3701c4bd73cb5a296a40f41915c 81066 oldlibs optional liballegro-doc_4.4.2-4_all.deb
 5511f21960b9dba44436508b6c4508ed 225434 libs optional liballeggl4.4_4.4.2-4_amd64.deb
 c76ac82cc86f9c7251a46cc50a00d613 159102 libdevel extra liballeggl4-dev_4.4.2-4_amd64.deb
 44f33e35956d181a92d2b8c955427e98 109160 libs optional libjpgalleg4.4_4.4.2-4_amd64.deb
 0adb1d42fbfbfb0f72f276a04a15c480 82908 libdevel extra libjpgalleg4-dev_4.4.2-4_amd64.deb
 bf9e807ef72ee8d17ea7094441bcd2bc 88996 libs optional libloadpng4.4_4.4.2-4_amd64.deb
 9aaf812788e637b7dd31ae4ddc761629 82920 libdevel extra libloadpng4-dev_4.4.2-4_amd64.deb
 b915dae611f5b3880b9978369faaae32 86412 libs optional liblogg4.4_4.4.2-4_amd64.deb
 8840367764df50b5912edb7c421251d3 82336 libdevel extra liblogg4-dev_4.4.2-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR6GzWAAoJEIyCFp2Ozs0qJ0QP/3BYaHFKKWs1Zqcqf4Ch/5Mg
jRS/Duy/nBmUurc9FFTAkP6pxR/Mzn8E+0GlMBTWxa2JhyEufGMya1Bg6zNAZLkk
f88uUVlcSVtcqPVw+sN69rtQCSG92ZrwKJakOHp9ww1PAP3nY13wtSyCDLlJyb0u
xuP1pmdeD3vwJX/E9Bu8QKWR5Piy0yl0HGJsoa2LtZVzlwpugEg7B7sC9YvVavpd
4AM8vcHfmAX1IiM0QkVgBBqZZSyx3ELAVSPVN0tG2l20NllOx1uQ+IGLU+QXnWEG
fhe0T+VXhfRIbChsFdmVaJEXx4k73E5quYZtHZc3sq2TtBTNp1e2fGCzWnwUnzvL
O6tDd3isGleC2OCawKRMLBpyo86TJRdmiXUWWRgtUTX0jPHy5rNJ4YzYTERH6Bce
RDhbzNtDSKOU0sNzm/m3thOA7/gZVVo+sSoMjEfppabALiTvH/6LQl2ZqIaG+8To
VxSMUHVKwy538pagFvdzKaiF7OtgRksdEqCODfHgQE2TiIOsG8xtWxa17l/qB97Q
hwyWMx//ItQ0eQ/8wYoL1Yf0Yv7LzVoJPUoAawQWzqZ0FU9uKOyHzcVazKltsLct
iEpVJBE5bTiCbpSLGsarMIS9G+xXFl4CqbPb3t1fjKuMag1Eonax7zYdisSAlAUb
l4CX0sd20EYC7/mgr8aN
=4G1m
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Aug 2013 07:27:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:48:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.